
# load libraries

setwd("SET YOUR PATH")


library("foreign")
library("Hmisc")
library("plm")
library("lme4")
library("plyr")
library("ggplot2")
library("ggthemes")
library("gridExtra")


mydata <- read.dta("figures/Figure1.dta")
summary(mydata)




##COLOR
g1<-ggplot(data=mydata, aes(x=customers)) + theme_bw() +
      labs(x="Customers",y="Density") +
      geom_histogram(aes(y=..density..), alpha=.8, colour="black", fill="grey") +
      geom_density(alpha=.2, fill="#009E73")

g2<-ggplot(data=mydata, aes(x=cu)) + theme_bw() +
      labs(x="Customers (ln)",y="") +
      geom_histogram(aes(y=..density..), alpha=.8, colour="black", fill="grey") +
      geom_density(alpha=.2, fill="#009E73")

g3<-ggplot(data=mydata, aes(x=establishment_size)) + theme_bw() +
      labs(x="Establishment size",y="Density") +
      geom_histogram(aes(y=..density..), alpha=.8, colour="black", fill="grey") +
      geom_density(alpha=.2, fill="#0072B2")

g4<-ggplot(data=mydata, aes(x=es)) + theme_bw() +
      labs(x="Establishment size (ln)",y="") +
      geom_histogram(aes(y=..density..), alpha=.8, colour="black", fill="grey") +
      geom_density(alpha=.2, fill="#0072B2")

g5<-ggplot(data=mydata, aes(x=company_size)) + theme_bw() +
      labs(x="Company size",y="Density") +
      geom_histogram(aes(y=..density..), alpha=.8, colour="black", fill="grey") +
      geom_density(alpha=.2, fill="#D55E00")

g6<-ggplot(data=mydata, aes(x=co)) + theme_bw() +
      labs(x="Company size (ln)",y="") +
      geom_histogram(aes(y=..density..), alpha=.8, colour="black", fill="grey") +
      geom_density(alpha=.2, fill="#D55E00")


  #create figure
 fig1 <- grid.arrange(g1, g2, g3, g4, g5, g6, nrow=3)
  print(fig1)
ggsave(file="figures/Figure1_color.tiff", plot=fig1, dpi=300, width=10, height=12.3)





#BW
g1<-ggplot(data=mydata, aes(x=customers)) + theme_bw() +
      labs(x="Customers",y="Density") +
      geom_histogram(aes(y=..density..), alpha=.8, colour="black", fill="grey") +
      geom_density(alpha=.2, fill="black")

g2<-ggplot(data=mydata, aes(x=cu)) + theme_bw() +
      labs(x="Customers (ln)",y="") +
      geom_histogram(aes(y=..density..), alpha=.8, colour="black", fill="grey") +
      geom_density(alpha=.2, fill="black")

g3<-ggplot(data=mydata, aes(x=establishment_size)) + theme_bw() +
      labs(x="Establishment size",y="Density") +
      geom_histogram(aes(y=..density..), alpha=.8, colour="black", fill="grey") +
      geom_density(alpha=.2, fill="black")

g4<-ggplot(data=mydata, aes(x=es)) + theme_bw() +
      labs(x="Establishment size (ln)",y="") +
      geom_histogram(aes(y=..density..), alpha=.8, colour="black", fill="grey") +
      geom_density(alpha=.2, fill="black")

g5<-ggplot(data=mydata, aes(x=company_size)) + theme_bw() +
      labs(x="Company size",y="Density") +
      geom_histogram(aes(y=..density..), alpha=.8, colour="black", fill="grey") +
      geom_density(alpha=.2, fill="black")

g6<-ggplot(data=mydata, aes(x=co)) + theme_bw() +
      labs(x="Company size (ln)",y="") +
      geom_histogram(aes(y=..density..), alpha=.8, colour="black", fill="grey") +
      geom_density(alpha=.2, fill="black")

  #create figure
 fig2 <- grid.arrange(g1, g2, g3, g4, g5, g6, nrow=3)
  print(fig2)

ggsave(file="figures/Figure1_bw.tiff", plot=fig2, dpi=300, width=10, height=12.3)